Bug 91134 - Context menu closes after hiding or making buttons on the toolbars visible
Summary: Context menu closes after hiding or making buttons on the toolbars visible
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2015-05-07 13:10 UTC by phunanon
Modified: 2022-11-24 03:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description phunanon 2015-05-07 13:10:18 UTC
Right-clicking a toolbar gives you the option "Visible buttons" of which you can select which buttons go on that specific toolbar. However, after making a change, the whole menu closes, meaning you need to right click (etc) again.
This is a minor inconvenience, if you're wanting to make a lot of changes.
Comment 1 A (Andy) 2015-05-09 08:08:43 UTC
Reproducible with LO 4.4.2.2, Win 8.1
Comment 2 Paul 2015-05-11 15:55:18 UTC
(In reply to phunanon from comment #0)
> ...
> This is a minor inconvenience, if you're wanting to make a lot of changes.

Whilst I basically agree, would it not make more sense to use the "Customize Toolbar..." option when wanting to make multiple changes.
Comment 3 QA Administrators 2016-09-20 09:41:47 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:38:06 UTC Comment hidden (obsolete)
Comment 5 Roman Kuznetsov 2020-11-23 20:09:55 UTC
still repro in

Version: 7.1.0.0.alpha1+ (x64)
Build ID: ccd0e5f445d4a7d0e7aca6c23c02c61bf14510b2
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL
Comment 6 QA Administrators 2022-11-24 03:42:16 UTC
Dear phunanon,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug